<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('user_preferences', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->string('sect_id')->nullable();
            $table->string('religion_practice');
            $table->string('marital_status')->nullable();
            $table->string('height_cm')->nullable();
            $table->string('height_ft')->nullable();
            $table->string('weight_kg')->nullable();
            $table->string('weight_lbs')->nullable();
            $table->string('education_id')->nullable();
            $table->string('profession_id')->nullable();
            $table->string('dress_code_id')->nullable();
            $table->string('smoking')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_preferences');
    }
};
